
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>iOS开发中对文件目录的访问及管理的基本方法小结_IOS / iVAN</title>

    <meta name="description" content="iOS开发中对文件目录的访问及管理的基本方法小结_IOS 文件目录的访问 最简单的:(由于是沙盒关系,没有文件夹概念的) 复制代码 代码如下: UIImage* image = [UIImage imageNamed:@&quot;11.png&quot;]; 这个已经是相对app里面打包好的路径,不需要额外添加路径. 还有一种就是需要指定文件路径的: 需要用到NSBundle. 复制代码 代码如下: [[NSBundle mainBundle] resourcePath],这个就是程序的打包后的路径. 如果需要指定路径,就要这样写: 你也可自己拼接: ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">iOS开发中对文件目录的访问及管理的基本方法小结_IOS</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>文件目录的访问</strong></p>
<p>最简单的：（由于是沙盒关系，没有文件夹概念的）</p>
<p><u>复制代码</u> 代码如下:</p>
<p>UIImage* image = [UIImage imageNamed:@"11.png"];</p>
<p>这个已经是相对app里面打包好的路径，不需要额外添加路径。<br />
<br />还有一种就是需要指定文件路径的：</p>
<p>需要用到NSBundle.</p>
<p><u>复制代码</u> 代码如下:</p>
<p>[[NSBundle mainBundle] resourcePath],这个就是程序的打包后的路径。</p>
<p>如果需要指定路径，就要这样写：</p>
<p>你也可自己拼接:</p>
<p><u>复制代码</u> 代码如下:</p>
<p>NSString* path = [NSStringstringWithFormat:@"<a>%@/%@/%@",[[NSBundlemainBundle</a>] resourcePath],@"document",@"aaa.txt"];</p>
<p>或者直接：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>NSString* path = [[NSBundle mainBundle] pathForResource:@"aaa" ofType:@"png"];</p>
<p>一般来说应用程序有3个目录</p>
<p>Documents,Library,tmp</p>
<p>现在apple不允许把大数据保存在documents文档，如果你想把视频什么的保存在documents文档里面，需要备份到icould比较麻烦。</p>
<p>一般窝的做法就是保存在Library的caches目录下面（不知道是否合理：））</p>
<p>tmp目录的话，保存一些临时文件，在退出程序的时候你可以把里面的缓存内容删除。</p>
<p>在应用程序中获得自己的documents目录：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>NSArray * paths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES);NSString * documentDirectory = [paths objectAtIndex:0];</p>
<p>在上面的基础上，获得一个完整的文件路径和名字：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>NSString * file = [documentDirectory stringByAppendingPathComponent:@"file1.txt"];</p>
<p>这就可以用file来创建，读取，和写入文件。</p>
<p><strong>文件目录管理</strong><br />
下面来看一些常用的文件目录管理方法<br /><strong>1、常见的NSFileManager文件方法</strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>-(NSData *)contentsAtPath:path　　//从一个文件读取数据<br />
<br />-(BOOL)createFileAtPath: path contents:(NSData *)data attributes:attr　　//向一个文件写入数据</p>
<p>-(BOOL)removeItemAtPath:path error:err　　//删除一个文件</p>
<p>-(BOOL)moveItemAtPath：from toPath:to error:err　　//重命名或者移动一个文件（to不能是已存在的）</p>
<p>-(BOOL)copyItemAtPath:from toPath:to error:err　　//复制文件（to不能是已存在的）</p>
<p>-(BOOL)contentsEqualAtPath:path andPath:path2　　//比较两个文件的内容</p>
<p>-(BOOL)fileExistAtPath:path　　//测试文件是否存在</p>
<p>-(BOOL)isReadableFileAtPath:path　　//测试文件是否存在，并且是否能执行读操作　　</p>
<p>-(BOOL)isWriteableFileAtPath:path　　//测试文件是否存在，并且是否能执行写操作　　</p>
<p>-(NSDictionary *)attributesOfItemAtPath:path error:err　　//获取文件的属性　　</p>
<p>-(BOOL)setAttributesOfItemAtPath:attr error:err　　//更改文件的属性</p>
<p><strong>2.使用目录</strong><br />
<u>复制代码</u> 代码如下:</p>
<p>-(NSString *)currentDirectoryPath　　//获取当前目录<br />
<br />-(BOOL)changeCurrentDirectoryPath:path　　//更改当前目录</p>
<p>-(BOOL)copyItemAtPath:from toPath:to error:err　　//复制目录结构（to不能是已存在的）</p>
<p>-(BOOL)createDirectoryAtPath:path withIntermediateDirectories:(BOOL)flag attribute:attr　　//创建一个新目录</p>
<p>-(BOOL)fileExistAtPath:path isDirectory:(BOOL*)flag　　//测试文件是不是目录（flag中储存结果YES/NO）</p>
<p>-(NSArray *)contentsOfDirectoryAtPath:path error:err　　//列出目录内容</p>
<p>-(NSDirectoryEnumerator *)enumeratorAtPath:path　　//枚举目录的内容</p>
<p>-(BOOL)removeItemAtPath:path error:err　　//删除空目录</p>
<p>-(BOOL)moveItemAtPath:from toPath:to error:err 　　//重命名或移动一个目录（to不能是已存在的）</p>
<p><strong>3、常用路径工具方法</strong><br />
<u>复制代码</u> 代码如下:</p>
<p>+(NSString *)pathWithComponens:components　　//根据components中的元素构造有效路径<br />
<br />-(NSArray *)pathComponents　　//析构路径，获得组成此路径的各个部分</p>
<p>-(NSString *)lastPathComponent　　//提取路径的最后一个组成部分<br />
-(NSString *)pathExtension　　//从路径的最后一个组成部分中提取其扩展名</p>
<p>-(NSString *)stringByAppendingPathComponent:path　　//将path添加到现有路径的末尾</p>
<p>-(NSString *)stringByAppendingPathExtension:ext　　//将指定的扩展名添加到路径的最后一个组成部分</p>
<p>-(NSString *)stringByDeletingLastPathComponent　　//删除路径的最后一个组成部分</p>
<p>-(NSString *)stringByDeletingPathExtension　　//从文件的最后一部分删除扩展名</p>
<p>-(NSString *)stringByExpandingTileInPath　　　//将路径中代字符扩展成用户主目录（~）或指定用户的主目录（~user）</p>
<p>-(NSString *)stringByresolvingSymlinksInPath　　//尝试解析路径中的符号链接</p>
<p>-(NSString *)stringByStandardizingPath　　//通过尝试解析~、..（父目录符号）、.（当前目录符号）和符号链接来标准化路径</p>
<p><strong>4、常用的路径工具函数</strong><br />
<u>复制代码</u> 代码如下:</p>
<p>NSString* NSUserName(void)　　//返回当前用户的登录名<br />
<br />NSString* NSFullUserName(void)　　//返回当前用户的完整用户名</p>
<p>NSString* NSHomeDirectory(void)　　//返回当前用户主目录的路径</p>
<p>NSString* NSHomeDirectoryForUser(NSString* user)　　//返回用户user的主目录</p>
<p>NSString* NSTemporaryDirectory(void)　　//返回可用于创建临时文件的路径目录</p>
<p><strong>5、常用的IOS目录</strong><br />
<u>复制代码</u> 代码如下:</p>
<p>Documents（NSDocumentDirectory）　　//用于写入应用相关数据文件的目录，在ios中写入这里的文件能够与iTunes共享并访问，存储在这里的文件会自动备份到云端<br />
<br />Library/Caches（NSCachesDirectory）　　//用于写入应用支持文件的目录，保存应用程序再次启动需要的信息。iTunes不会对这个目录的内容进行备份</p>
<p>tmp（use NSTemporaryDirectory（））　　//这个目录用于存放临时文件，只程序终止时需要移除这些文件，当应用程序不再需要这些临时文件时，应该将其从这个目录中删除</p>
<p>Library/Preferences　　//这个目录包含应用程序的偏好设置文件，使用 NSUserDefault类进行偏好设置文件的创建、读取和修改</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 04:32:16</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ios/" title="ios">ios</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6%e7%9b%ae%e5%bd%95/" title="文件目录">文件目录</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>iOS开发中对文件目录的访问及管理的基本方法小结_IOS的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkgoOM.html" rel="bookmark">iOS开发中文件的上传和下载功能的基本实现&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文件的上传 说明:文件上传使用的时POST请求,通常把要上传的数据保存在请求体中.本文介绍如何不借助第三方框架实现iOS开发中得文件上传. 由于过程较为复杂,因此本文只贴出部分关键代码. 主控制器的关键代码: 复制代码 代码如下: YYViewController.m #import &quot;YYViewController.h&quot; #define YYEncode(str) [str dataUsingEncoding:NSUTF8StringEncoding] @interface YYV			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmAXDp.html" rel="bookmark">iOS开发中一些手写控件及其相关属性的使用&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				手写控件,frame,center和bounds属性 一.手写控件 1.手写控件的步骤 (1)使用相应的控件类创建控件对象 (2)设置该控件的各种属性 (3)添加控件到视图中 (4)如果是button等控件,还需考虑控件的单击事件等 (5)注意:View Contollor和view的关系 2.注意点 在OC开发中,Storyboard中的所有操作都可以通过代码实现,程序员一定要熟练掌握代码布局界面的能力! 设置控件监听方法的示例代码如下: 复制代码 代码如下: [btn addTarget:s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkXyKp.html" rel="bookmark">iOS开发中UIWebView的加载本地数据的三种方式&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				UIWebView是IOS内置的浏览器,可以浏览网页,打开文档 html/htm pdf docx txt等格式的文件. safari浏览器就是通过UIWebView做的. 服务器将MIME的标识符等放入传送的数据中告诉浏览器使用那种插件读取相关文件. uiwebview加载各种本地文件(通过loadData方法): UIWebView加载内容的三种方式: 1 加载本地数据文件 指定文件的MIMEType 编码格式使用@&quot;UTF-8&quot; 2加载html字符串(可以加载全部或者部分html			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7QwGZM.html" rel="bookmark">iOS开发中Date Picker和UITool Bar控件的使用简介&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.Date Picker控件1.简单介绍: Date Picker显示时间的控件 有默认宽高,不用设置数据源和代理 如何改成中文的? (1)查看当前系统是否为中文的,把模拟器改成是中文的 (2)属性,locale选择地区 如果默认显示不符合需求.时间有四种模式可以设置,在model中进行设置 时间可以自定义(custom). 设置最小时间和最大时间,超过就会自动回到最小时间. 最大的用途在于自定义键盘:弹出一个日期选择器出来,示例代码如下:    2.示例代码 复制代码 代码如下: // //			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0NnVJz.html" rel="bookmark">iOS开发中Quartz2D绘图路径的使用以及条纹效果的实现&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				绘图路径 A.简单说明 在画线的时候,方法的内部默认创建一个path.它把路径都放到了path里面去. 1.创建路径  cgmutablepathref 调用该方法相当于创建了一个路径,这个路径用来保存绘图信息. 2.把绘图信息添加到路径里边. 以前的方法是点的位置添加到ctx(图形上下文信息)中,ctx 默认会在内部创建一个path用来保存绘图信息. 在图形上下文中有一块存储空间专门用来存储绘图信息,其实这块空间就是CGMutablePathRef. 3.把路径添加到上下文中. 代码示例: 绘			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKq5Knp.html" rel="bookmark">iOS开发中使用Quartz2D绘制上下文栈和矩阵的方法&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上下文栈 一.qurza2d是怎么将绘图信息和绘图的属性绘制到图形上下文中去的? 说明: 新建一个项目,自定义一个view类和storyboard关联后,重写该类中的drowrect方法. 画线的三个步骤: (1)获取上下文 (2)绘图 (3)渲染 要求:画两条单独的线 代码和效果图: 复制代码 代码如下: - (void)drawRect:(CGRect)rect {     //获取上下文     CGContextRef ctx=UIGraphicsGetCurrentContext();			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVBAaz.html" rel="bookmark">iOS开发中CAlayer层的属性以及自定义层的方法&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CAlayer层的属性一.position和anchorPoint 1.简单介绍 CALayer有2个非常重要的属性:position和anchorPoint @property CGPoint position; 用来设置CALayer在父层中的位置 以父层的左上角为原点(0, 0) @property CGPoint anchorPoint; 称为&quot;定位点&quot;.&quot;锚点&quot; 决定着CALayer身上的哪个点会在position属性所指的位置 以自己的左上角为原点(0,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKyPRz.html" rel="bookmark">iOS开发中使app获取本机通讯录的实现代码实例&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.在工程中添加AddressBook.framework和AddressBookUI.framework 二.获取通讯录 1.在infterface中定义数组并在init方法中初始化 复制代码 代码如下: NSMutableArray *addressBookTemp;   - (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {     addressBookTemp = [NSMut			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ2mDOz.html" rel="bookmark">iOS开发中使用Picker View实现一个点菜应用的UI示例&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.实现效果 说明:点击随机按钮,能够自动选取,下方数据自动刷新. 二.实现思路 1.picker view的有默认高度为162,不可修改. 2.显示数据,需要设置数据源,也有两种方式(成为数据源,遵守协议) 3.实现数据源里面的两个方法 1)返回一共有多少列 2)在这一列中一共有多少行 4.通过代理告诉它那一列的哪一行显示哪些数据(设置其代理为控制器) 5.使用懒加载,加载所有的食物 6.完成基本数据的展示(列,行,内容) 7.自动更新选中的食物信息.(使用一个大的view,上面放6个labe			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM65Pob.html" rel="bookmark" class="title">用Javascript强制设为首页的代码</a>
					<div>
						javascript|设为首页 &lt;script&gt;var ucook=document.cookie;var user=ucook.indexOF(&quot;ilooki=&quot;); ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo8ZDM.html" rel="bookmark" class="title">如何制作撕纸效果&quest;</a>
					<div>
						预览成品: 逐步说明: 1.首先设置背景色为白色,前景色为黑色.打开一张原图象,如图. 2.点击Layer面板的Channels通道,新建一个通道Alpha 1,看到图象变成黑色的,点击菜单Edit/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmZLqz.html" rel="bookmark" class="title">防范于未然：如何把K站扼杀于摇篮之中</a>
					<div>
						2012的seo行业可谓是满城风雨,seoer们见面的第一句话不再是&quot;你的网站排名上升了吗&quot;,而是&quot;今天的网站被k了吗&quot;.从这里我们可以看到网站被k概率已经不知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oRkmb.html" rel="bookmark" class="title">PowerShell 4&period;0：提升任务自动化</a>
					<div>
						  Windows Server 2012 R2引入了新版本的PowerShell.PowerShell 4.0版本让人感觉终于成熟了,事实证明该版本携带了很多有助于管理员的新功能,包括更改默认执行政 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3e1yp.html" rel="bookmark" class="title">联想Logo消失需要按F1进入的解决方法</a>
					<div>
						故障现象: 开机联想Logo消失,提示press F1 to bios setup,需要按F1进入的解决方法. 解决方案: 1. 正常情况下开机时的联想Logo ; 2. 开机界面联想Logo消失,被 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYEDvb.html" rel="bookmark" class="title">福昕阅读器书签在哪怎么用</a>
					<div>
						  添加书签 1.打开您想要设置书签链接的页面,并调整视图设置. 2.选择待放置新书签的目录(如果您未选择书签目录,则新书签将自动添加到书签列表末尾). 3.单击书签面板上端的新建书签按钮,或右键单击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6EjDz.html" rel="bookmark" class="title">cursor-如何获取联系人的电话号码？</a>
					<div>
						问题描述 如何获取联系人的电话号码? 代码如下: String[] columns = {ContactsContract.Contacts._ID, ContactsContract.Contact ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWl7Wp.html" rel="bookmark" class="title">Ubuntu系统U盘中文名乱码处理？</a>
					<div>
						如果local为zh_CN.UTF-8是没有任何中文问题的,如果local为其它例如为zh_CN/zh_CN.GBK则有两种办法,请依照情况选择一种方法处理 一:修改local为zh_CN.UTF-8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kwWxM.html" rel="bookmark" class="title">在Action中用了get&sol;set，但是没有放入值栈中去&comma;放到session中也没反应</a>
					<div>
						问题描述 CodeAction.javapackageAction;importjava.awt.Color;importjava.awt.Font;importjava.awt.Graphics;i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwY9wp.html" rel="bookmark" class="title">android studio-Android studio除了做app开发还能不能看Android源码</a>
					<div>
						问题描述 Android studio除了做app开发还能不能看Android源码 现在想做ADB和Fastboot的移植,于是想在Android环境下编译ADB和Fastboot. 在网上看到一篇文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAALdQM.html" rel="bookmark" class="title">iOS中注册功能的体验探究</a>
					<div>
						通常,移动App的注册功能通常采用手机号码注册或者邮箱帐号注册. 不过在国内这样隐私堪忧的环境下,需要手机号来注册会流失不少用户.即便是新浪微博这样的应用,需要绑定手机号也令我不信任.除非是像淘宝.支 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AQjVz.html" rel="bookmark" class="title">团购网站&OpenCurlyDoubleQuote;快乐团&rdquo;获天使投资1000万元</a>
					<div>
						国内领先的时尚用品团购网站快乐团购网(www.kuaikuai6.com)负责人彭小清透露,快乐团购网首轮融资告捷,已获得知名天使投资1000万元的财务支持,此笔资金将用于除网站推广外.加强用户线上和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZo8ep.html" rel="bookmark" class="title">viewpage&plus;fragment ，要求，在activity中获取</a>
					<div>
						问题描述 viewpage+fragment ,要求,在activity中获取 在activity中,如何获取viewpager中,fragment的id啊 解决方案 viewpager可以根据get ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7e0ez.html" rel="bookmark" class="title">急需解决！留言插入数据库看不到。</a>
					<div>
						问题描述 做了一个简单的留言例子,问题是点击留言后,在数据库中看不到插入的留言.我没用vs2005做,机器装不了.用的是IIS和Microsoft.netframework2.0和中文语言包,数据库用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GNVXp.html" rel="bookmark" class="title">asp&period;net实现A服务器给B服务器发送一个http请求，B接收成功，要返回给A，是如何实现的，他们之间是如何传参的那位大哥知道的能不能给小弟共享下代码</a>
					<div>
						问题描述 asp.net实现A服务器给B服务器发送一个http请求,B接收成功,要返回给A,是如何实现的,他们之间是如何传参的那位大哥知道的能不能给小弟共享下代码或者分享下你们知道的网站地址 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlkRqp.html" rel="bookmark" class="title">asp&period;net的加密解密技巧&lowbar;实用技巧</a>
					<div>
						对于加密和解密,我们都知道.下面主要介绍的是ASP.NET中的加密和解密. 一.数据加密/编码算法列表 常见用于保证安全的加密或编码算法如下: 1.常用密钥算法 密钥算法用来对敏感数据.摘要.签名等信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmxmAz.html" rel="bookmark" class="title">编程语言JavaScript简介&lowbar;javascript技巧</a>
					<div>
						JavaScript 是什么? JavaScript 是一种广泛应用于客户端网页(浏览器)开发的脚本语言,如用来给 HTML 网页添加动态功能,比如响应用户的各种操作等.JavaScript 是一种基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QDAqM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;超级网银&rdquo;被曝24秒洗劫10万专家称有漏洞</a>
					<div>
						360互联网安全中心今日发布重大安全警报称,&quot;超级网银&quot;跨行账户管理功能已经成为黑客恶意利用的目标,近期全国连续出现多起各大银行客户被骗案例.安徽省陈女士近日向安全中心举报称,她在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkDDkM.html" rel="bookmark" class="title">android 微信分享调试后 发现回调 ErrCode返回-6</a>
					<div>
						问题描述 android 微信分享调试后 发现回调 ErrCode返回-6 public interface ErrCode { int ERR_OK = 0; int ERR_COMM = -1;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNmYV4b.html" rel="bookmark" class="title">一位硅谷女创业者吐槽：VC性骚扰噩梦融资就得当三陪</a>
					<div>
						编者按:我们很少在福布斯网站上发布匿名作品,但这篇以第一人称讲述初创公司世界性别歧视现象的文章值得我们破例.我在几个月前认识了本文作者,并对她诉说的跟大多数男性投资者打交道的故事感到非常震惊.跟很多男 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJQJ6M.html" rel="bookmark" class="title">JavaScript 自动在表格前面增加序号&lowbar;典型特效</a>
					<div>
						行号 标题 总计 Vc++支持窗口及文字拖放的COleDropTarget扩展类 20235 好用的ICO图标截取工具VB源程序   一些经典的VB加密解密算法示例              					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4YJeJb.html" rel="bookmark" class="title">2011年1-12月，全国半导体分立器件的产量达3639&period;5亿只</a>
					<div>
						2011年1-12月,全国半导体分立器件的产量达3639.5亿只,同比增长7.59 %.相较于之前有所增长 ,中国现在可以说是集成电路大国,虽然在技术水平和国外大厂还有差距,但是中国集成电路整个产业规 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWw20p.html" rel="bookmark" class="title">Android学习之&mdash;&mdash;SpannableString和TextView的使用及研究</a>
					<div>
						前言 相信大家对Android的TextView的使用已经相当熟悉了,但有没有发现TextView的文字总是那么单调,可以修改的就字体大小,颜色等等.要想实现自定义的文字,就要用到我们今天的主角--S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenKR9b.html" rel="bookmark" class="title">别活得太认真 你逃不出你的命运</a>
					<div>
						&quot;别活得太认真,你逃不出你的命运.&quot; – Van Wilder 这句流行的名言,对于如今的20几岁的青年,看起来就是让他们没有任何目标的自由生活,尽可能的为所欲为,不接受任何指引. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlA0NVp.html" rel="bookmark" class="title">第四届中国网商大会 马云 45分钟演讲</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 9月15日,阿里巴巴集团在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKG0dz.html" rel="bookmark" class="title">支持10秒自毁的新芯片</a>
					<div>
						本文讲的是 支持10秒自毁的新芯片,施乐帕克研究中心的工程师们开发出了一种可通过命令进行自毁的原型芯片. 这种不可思议的集成电路可用于加密密钥的存储之类的应用程序.芯片是在大猩猩玻璃衬底上制作的,能够 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8G733M.html" rel="bookmark" class="title">做emc documentum开发有前途吗&quest;</a>
					<div>
						问题描述 2年之后北京能那多少/年感觉这个平台好烦人,说明文档少,不成体系 解决方案 解决方案二:一样的感觉!解决方案三:documentum目前都是大企业在用,市场份额度据说在60%以上.解决方案四 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdjOez.html" rel="bookmark" class="title">呼叫中心的五项关键技术</a>
					<div>
						90年代以来,业务的质量和传输的开销成为企业重点考虑的问题,呼叫中心逐渐被看成是对企业有着关键性系统要求的.具有战略意义的组成部分,从而在全球范围得到了广泛应用. 以下介绍对呼叫中心起决定作用的五项关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YqOAp.html" rel="bookmark" class="title">甲骨文推出Oracle Hyperion财务管理新软件包</a>
					<div>
						甲骨文日前在旧金山举行的甲骨文全球大会上宣布,为便于企业实现http://www.aliyun.com/zixun/aggregation/17812.html&quot;&gt;可持续性报告与财务报 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdKGVM.html" rel="bookmark" class="title">盛大管理层预期下一季度收入增长为8-10&percnt;</a>
					<div>
						计世网3日消息(石头) 在今天上午的2009年一季度财报发布后的电话会议上,盛大管理层给出下一季度收入增长的预期为8-10%. 日前,盛大公布了2009年第一季度财务报告.主要内容为如下: · 本季度 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
